# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_DataMapNodeOfPointVertexMap Class Reference

`#include <StepToTopoDS_DataMapNodeOfPointVertexMap.hxx>`

## Public Member Functions

| StepToTopoDS_DataMapNodeOfPointVertexMap (const Handle(StepGeom_CartesianPoint)&K, const TopoDS_Vertex &I, const TCollection_MapNodePtr &n)
Handle_StepGeom_CartesianPoint & | Key () const
TopoDS_Vertex & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_CartesianPoint | myKey
TopoDS_Vertex | myValue

## Constructor & Destructor Documentation

StepToTopoDS_DataMapNodeOfPointVertexMap::StepToTopoDS_DataMapNodeOfPointVertexMap | ( | const Handle(StepGeom_CartesianPoint)& | K,
|  | const TopoDS_Vertex & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const StepToTopoDS_DataMapNodeOfPointVertexMap::Handle | ( | Standard_Type |  | ) | const

Handle_StepGeom_CartesianPoint& StepToTopoDS_DataMapNodeOfPointVertexMap::Key | ( |  | ) | const

TopoDS_Vertex& StepToTopoDS_DataMapNodeOfPointVertexMap::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_CartesianPoint StepToTopoDS_DataMapNodeOfPointVertexMap::myKey `[private]`

TopoDS_Vertex StepToTopoDS_DataMapNodeOfPointVertexMap::myValue `[private]`

The documentation for this class was generated from the following file:

- StepToTopoDS_DataMapNodeOfPointVertexMap.hxx